commit: a4d17960a352e74b7173341f11c201cd71b70438
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 20 16:54:12 2017 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Apr 20 17:01:15 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a4d17960
dev-python/authres: Fix discarding test results
dev-python/authres/authres-0.800.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/dev-python/authres/authres-0.800.ebuild
b/dev-python/authres/authres-0.800.ebuild
index 55c96f6a648..842efa83b56 100644
--- a/dev-python/authres/authres-0.800.ebuild
+++ b/dev-python/authres/authres-0.800.ebuild
@@ -17,5 +17,5 @@ IUSE=""
python_test() {
"${PYTHON}" -c "import sys, ${PN}, doctest; f, t =
doctest.testfile('${PN}/tests'); \
- sys.exit(bool(f))" || return
+ sys.exit(bool(f))" || die "Tests fail with ${EPYTHON}"
}